A test suite that runs all tests
Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
This isn't really a patch. It is just a ruby file that runs all the unit, functional, and integration tests in one suite.

| find it useful to have a test suite, because having to run each test manually discourages me from writing tests.

History

#1 - 2007-08-15 06:22 - Matt Jones

Auto test suite

#2 - 2007-08-15 06:22 - Matt Jones

Actually | just realized that it would be better if the code
could automatically find the tests and run them. That way
you wont have to update the suite file.

#3 - 2007-08-15 06:26 - Matt Jones

If you like this idea | could clean the code up a bit. | was
going to post this in the forums, but there does not seem to
be an easy way to post code.

#4 - 2007-08-15 07:31 - Jean-Philippe Lang

'rake test' does the same thing, doesn't it ?

#5 - 2007-08-15 10:02 - Matt Jones

Ah. | had been trying that and Rake was exploding. After

doing some research | found that many people have been

having problems with unit tests and Rake for years. | had

been using upgraded versions of Ruby and Rails on Ubuntu Feisty.

So | tried "rake test" on a fresh install of the

Ubuntu

Gutsy Alpha and it works. | also tried it on Windows 2003
and it works there too.

So anyway, just disregard this patch then

#6 - 2008-02-16 17:47 - Jean-Philippe Lang

- Status changed from New to Closed

Files

manual_test_suite.rb 2.28 KB 2008-02-03 Matt Jones

auto_test_suite.rb 1.32 KB 2008-02-03 Matt Jones
